#ifndef __STDIO_H_
#define __STDIO_H_
#include <stdio.h>
#endif

#ifndef __STRING_H_
#define __STRING_H_
#include <string.h>
#endif

#ifndef __STDLIB_H_
#define __STDLIB_H_
#include <stdlib.h>
#endif

#ifndef __CTYPE_H_
#define __CTYPE_H_
#include <ctype.h>
#endif

#ifndef NULLP
#define NULLP (char *)0
#endif

#define HP_INIT   "\33&l%dO\33(s0p10h12v0s0b3T"
#define HP_DEINIT "\33E"

#define LANDSCAPE_FLAG 1
#define PORTRAIT_FLAG  0
#define BAR           "\33*p%dx%dY\33*c%da%db%dP"
#define BLACK         0
#define WHITE         1
#define CPI          10
#define RPI           6
#define DENSITY   300.0

#define BAR_WIDE          9
#define BAR_NARROW        3
#define BAR_TALL        120
#define ZIP_WIDE          8
#define ZIP_NARROW        5
#define ZIP_TALL         36
#define ZIP_SHORT_START  20
#define ZIP_SHORT        16

int hp_printbar39(FILE *, int, int, char *);
int hp_printbarzip(FILE *, int, int, char *, char *);
int add_adv_ZIP_check_digit(char *, char *);
void add_asterisks(char *);
void hp_gotoxy(FILE *, int, int, int *, int *);
